"""
shotH.py - red rocketlike
"""

import common
import shot
import explosionA

class ShotH(shot.Shot):

    # rect = 2d pos -> width+height will be appended!
    def __init__(self,rect,level):
        rect  += [3,6]
        shot.Shot.__init__(self,1,rect)
        self.images = common.images['ShotH']
        self.speed  = 6
        self.level  = level
        self.damage = 1

        common.shots_enemy.append(self)

    def move(self):        
        if self.rect[1] > common.resolution[1]:
            common.shots_enemy.remove(self)
        self.rect[1] += self.speed

    def explode(self):
        explosionA.ExplosionA([self.rect[0],self.rect[1]])
